<template functional>
  <blockquote
    :ref="data.ref"
    class="max-w-2xl mx-auto text-center text-brown-600"
    :class="[data.class, data.staticClass]"
    :style="[data.style, data.staticStyle]"
    v-bind="data.attrs"
    v-on="listeners"
  >
    <span class="summary italic" v-html="props.text" />
    <svg-icon class="mx-auto h-6 w-6 my-4" icon="comillas-icon.svg" />
    <footer>{{ props.author }}</footer>
  </blockquote>
</template>

<script>
export default {
  name: 'AuthorQuote',
  props: {
    text: { type: String, required: true },
    author: { type: String, required: true },
  },
};
</script>
